*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Structural elements : body, main, header, nav, ... */
body {
  margin: 0;
  padding: 0;
  min-height: 100vh;

  background: var(--color-background);
  overflow: hidden auto;

  font-family: "Montserrat", sans-serif;
  font-size: 12pt;
  color: var(--color-on-background);

  transition: background var(--transition-duration), color var(--transition-duration);
}

@media print {
  body {
    display: initial;
    height: initial;
  }
}

main {
  /*
   * IMPORTANT. Do not add any other margin than the margin for the the navbar.
   * Some pages (like the recipe view page) take the full width of the viewport.
   */
  min-height: 100vh;

  display: flex;
  flex-direction: column;

  isolation: isolate;
}

/* On mobile, make room for navbar at the bottom. */
@media (width < 940px) {
  main {
    padding-bottom: var(--navbar-height);
  }
}

/* On desktop, make room for navbar on the left. */
@media (width >= 940px) {
  main {
    padding-left: calc(var(--navbar-width) - var(--margin));
  }
}

/* Other elements */
strong {
  font-weight: 600;
}

hr {
  margin: 0;

  border: none;
  border-top: 1px solid var(--color-secondary);
}